<kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" [filterable]="true" [navigable]="true"
  [reorderable]="true" [resizable]="true" [sortable]="true" (selectionChange)="selectRow($event)" [pageSize]="pageSize"
  [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;" *ngIf="!loading">
  <kendo-grid-column field="Codigo" title="Código" width="70"></kendo-grid-column>
  <kendo-grid-column field="cdesc" title="Descripción" width="280"></kendo-grid-column>
  <kendo-grid-column field="cclase" title="Clase" width="70" class="text-right"></kendo-grid-column>
  <kendo-grid-column field="ccmaximo" title="Cargo Máximo" width="70" class="text-right">
    <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.ccmaximo | currency:'MXN' }}
    </ng-template>
  </kendo-grid-column>
  <kendo-grid-column field="cnsubtotal" title="# Subt." width="70" class="text-right">
  </kendo-grid-column>
  <kendo-grid-column field="ctr" title="TM" width="70"></kendo-grid-column>
  <kendo-grid-column field="cdc" title="D/C" width="70"></kendo-grid-column>
</kendo-grid>

<app-loading *ngIf="loading"></app-loading>